#include <stdio.h>

int main () {

	int n, i, k, p=1; //i, k i p su brojaci koji se koriste dalje u petljama.
	scanf("%d", &n);
	if (n<=0){ //Provera da li je n>=0. Ako nije ispise se -1 i program se prekine.
		printf("-1\n");
		return -1;
	}
	else {
		for (i=n-1; i>=0; i--){ //Spoljasnja petlja u kojoj se iscrtava red i prebacuje se u sledeci.
			if(i<n-1){
				for(k=0; k<p; k++){ //Prazna mesta da bi obrnuta piramida imala oblik.
					printf(" ");
				}
				p++;
			}
			for (k=0; k<i; k++ ){ //Iscrtavanje obrnute piramide od * i -.
				printf("*-");
			}
			printf("*\n");
		}
	}
	return 0;
}
